<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.kde.VisualNotifications">
    <signal name="NotificationClosed">
      <arg name="id" type="u" direction="out"/>
      <arg name="reason" type="u" direction="out"/>
    </signal>
    <signal name="ActionInvoked">
      <arg name="id" type="u" direction="out"/>
      <arg name="action_key" type="s" direction="out"/>
    </signal>
    <method name="Notify">
      <annotation name="com.trolltech.QtDBus.QtTypeName.In7" value="QVariantMap"/>
      <arg type="u" direction="out"/>
      <arg name="app_name" type="s" direction="in"/>
      <arg name="replaces_id" type="u" direction="in"/>
      <arg name="event_id" type="s" direction="in"/>
      <arg name="app_icon" type="s" direction="in"/>
      <arg name="summary" type="s" direction="in"/>
      <arg name="body" type="s" direction="in"/>
      <arg name="actions" type="as" direction="in"/>
      <arg name="hints" type="a{sv}" direction="in"/>
      <arg name="timeout" type="i" direction="in"/>
    </method>
    <method name="CloseNotification">
      <arg name="id" type="u" direction="in"/>
    </method>
  </interface>
</node>
